<?php
@session_start();
include_once("seguranca.php");
include_once("config.php");
date_default_timezone_set('America/Recife');
@$hoje=date('d/m/Y H:i:s');

$pega_user = $_SESSION["nome"];
$pega_imagem = $_SESSION["imagem"];

$alunos="SELECT * FROM tbl_matricula WHERE NU_ANO_LETIVO_MAT=2019";
$resultado=mysqli_query($conn,$alunos);
$totalAlunos=mysqli_num_rows($resultado);

$turmas="SELECT * FROM tbl_turmas WHERE NU_ANO_LETIVO=2019";
$resultado=mysqli_query($conn,$turmas);
$totalTurmas=mysqli_num_rows($resultado);

$prof="SELECT * FROM tbl_lotacao2019 WHERE lot_funcao_func=15";
$resultado=mysqli_query($conn,$prof);
$totalProf=mysqli_num_rows($resultado);

$escolas="SELECT * FROM tbl_escola";
$resultEscola=mysqli_query($conn,$escolas);
$totalEscolas=mysqli_num_rows($resultEscola);
?>
<!DOCTYPE html>
<html lang="pt-br">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Elo Admin - Dashboard</title>
    
    <!-- Bootstrap core CSS-->
    <link href="vendor/bootstrap/css/bootstrap413.min.css" rel="stylesheet">
    <script src="assets/js/jquery-3.2.1.min.js"></script>
    <script src="assets/js/bootstrap4.min.js"></script>
    <!-- Custom fonts for this template-->
    <link href="https://use.fontawesome.com/releases/v5.8.0/css/all.css" rel="stylesheet" type="text/css">
    
	<!-- Custom button for this template-->
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.2/css/buttons.bootstrap4.min.css">

	
    <!-- Page level plugin CSS-->
    <link href="vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="vendor/css/sb-admin.css" rel="stylesheet">
  </head>

  <body id="page-top">

    <?php require('header.html');?>

      <div id="content-wrapper">

        <div class="container-fluid">

         <!-- Icon Cards-->
          <div class="row">
            <div class="col-xl-3 col-sm-6 mb-3">
              <div class="card text-white bg-primary o-hidden h-100">
                <div class="card-body">
                  <div class="card-body-icon">
                    <i class="fas fa-fw fa-university"></i>
                  </div>
                  <div class="mr-5"><?php echo $totalEscolas; ?>Escolas</div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="#DetalheEscola">
                  <span class="float-left">Ver Detalhes</span>
                  <span class="float-right">
                    <i class="fas fa-angle-right"></i>
                  </span>
                </a>
              </div>
            </div>
            <div class="col-xl-3 col-sm-6 mb-3">
              <div class="card text-white bg-warning o-hidden h-100">
                <div class="card-body">
                  <div class="card-body-icon">
                    <i class="fas fa-fw fa fa-users"></i>
                  </div>
                  <div class="mr-5"><?php echo $totalAlunos; ?> Alunos</div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="#DetalheAlunos">
                  <span class="float-left">Ver Detalhes</span>
                  <span class="float-right">
                    <i class="fas fa-angle-right"></i>
                  </span>
                </a>
              </div>
            </div>
            <div class="col-xl-3 col-sm-6 mb-3">
              <div class="card text-white bg-success o-hidden h-100">
                <div class="card-body">
                  <div class="card-body-icon">
                    <i class="fas fa-fw fa-chalkboard-teacher"></i>
                  </div>
                  <div class="mr-5"><?php echo $totalProf; ?> Professores</div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="#">
                  <span class="float-left">Ver Detalhes</span>
                  <span class="float-right">
                    <i class="fas fa-angle-right"></i>
                  </span>
                </a>
              </div>
            </div>
            <div class="col-xl-3 col-sm-6 mb-3">
              <div class="card text-white bg-danger o-hidden h-100">
                <div class="card-body">
                  <div class="card-body-icon">
                    <i class="fas fa-door-open"></i>
                  </div>
                  <div class="mr-5"><?php echo $totalTurmas; ?> Turmas</div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="#">
                  <span class="float-left">Ver Detalhes</span>
                  <span class="float-right">
                    <i class="fas fa-angle-right"></i>
                  </span>
                </a>
              </div>
            </div>
          </div>
           <div class="row">
            <div class="col-lg-8">
              <div class="card mb-3">
                <div class="card-header">
                  <i class="fas fa-chart-bar"></i>
                  Matrículas por Modalidade de Ensino - Ano 2019</div>
                <div class="card-body">
                  <canvas id="myBarChart" width="100%" height="50"></canvas>
                </div>
                <div class="card-footer small text-muted">Atualizado em: <?php echo $hoje; ?></div>
              </div>
            </div>
            <div class="col-lg-4">
              <div class="card mb-3">
                <div class="card-header">
                  <i class="fas fa-chart-pie"></i>
                 Matriculas por Tipo de Localização</div>
                <div class="card-body">
                  <canvas id="myPieChart" width="100%" height="100"></canvas>
                </div>
                <div class="card-footer small text-muted">Atualizado em: <?php echo $hoje; ?></div>
              </div>
            </div>
          </div>

          <!-- DataTables Detalhe Escola-->
		<div class="card mb-3">
            <div class="card-header">
              <i class="fas fa-table"></i>
              Detalhamento - Escolas</div>
            <div class="card-body">
              <div class="table-responsive" id="DetalheEscola">
		 <table class="table table-bordered" id="example" width="100%" cellspacing="0" style="font-size:14px;">
                  <thead>
                    <tr>
                      <th>CodInep</th>
                      <th>Escola</th>
		      <th>Gestor</th>
                      <th>Endereço</th>
                      <th>Celular</th>
                      <th>Zona</th>
                      <th>Tipo Localização</th>
		      <th>Local do Polo</th>
                      </tr>
                  </thead>
                  <tfoot>
					  <th>CodInep</th>
                      <th>Escola</th>
					  <th>Gestor</th>
                      <th>Endereço</th>
                      <th>Celular</th>
                      <th>Zona</th>
                      <th>Tipo Localização</th>
					  <th>Local do Polo</th>
                  </tfoot>
                  <tbody>
				  <?php 
				  	while($dados=mysqli_fetch_array($resultEscola)){
					?>
					<tr>
                      <td><?php echo $dados['tp_00_cod_inep']?></td>
                      <td><?php echo $dados['tp_00_nom_esc']?></td>
					  <td><?php echo $dados['tp_00_nome_gestor']?></td>
                      <td><?php echo $dados['tp_00_endereco']?></td>
					  <td><?php echo $dados['tp_00_tel']?></td>
                      <td><?php echo ($dados['tp_00_loc_zona'] ==1 ? "URBANO" : "RURAL")?></td>
					  <td><?php echo ($dados['tp_10_tp_localizacao_diferenciada']==1)?"Área Assentamento":(($dados['tp_10_tp_localizacao_diferenciada']==3)?"Área Quilombola":"Não se aplica")?></td>
					  <td><?php echo ($dados['co_polo']==15081893)?"Polo Galho":(($dados['co_polo']==15081478)?"Polo Trevo":((($dados['co_polo']==15081532)?"Polo Cravo":((((($dados['co_polo']==15081893) ? "Polo Cravo":(((((($dados['co_polo']==15081893)?"Polo Cravo":((((((($dados['co_polo']==15576558)?"Cristo":"Cidade"))))))))))))))))))?></td>
                    </tr>
                   <?php }  ?>
				   </tbody>
                </table>
			   </div>
            </div>
            <div class="card-footer small text-muted">Concórdia do Pará em: <?php echo $hoje; ?></div>
          </div>
		

<br>

 <!-- DataTables Detalhe Alunos-->
		<div class="card mb-3">
            <div class="card-header">
              <i class="fas fa-table"></i>
              Detalhadamento - Alunos</div>
            <div class="card-body">
              <div class="table-responsive" id="DetalheAlunos">
			 <table class="table table-bordered" id="example2" width="100%" cellspacing="0" style="font-size:14px;">
                  <thead>
                    <tr>
                      <th>CodInep</th>
                      <th>Escola</th>
		      <th>Gestor</th>
                      <th>Endereço</th>
                      <th>Celular</th>
                      <th>Zona</th>
                      <th>Tipo Localização</th>
		      <th>Local do Polo</th>
                      </tr>
                  </thead>
                  <tfoot>
		     <th>CodInep</th>
                      <th>Escola</th>
					  <th>Gestor</th>
                      <th>Endereço</th>
                      <th>Celular</th>
                      <th>Zona</th>
                      <th>Tipo Localização</th>
					  <th>Local do Polo</th>
                  </tfoot>
                  <tbody>
				  <?php 
				  	while($dados=mysqli_fetch_array($resultEscola)){
					?>
					<tr>
                      <td><?php echo $dados['tp_00_cod_inep']?></td>
                      <td><?php echo $dados['tp_00_nom_esc']?></td>
					  <td><?php echo $dados['tp_00_nome_gestor']?></td>
                      <td><?php echo $dados['tp_00_endereco']?></td>
					  <td><?php echo $dados['tp_00_tel']?></td>
                      <td><?php echo ($dados['tp_00_loc_zona'] ==1 ? "URBANO" : "RURAL")?></td>
					  <td><?php echo ($dados['tp_10_tp_localizacao_diferenciada']==1)?"Área Assentamento":(($dados['tp_10_tp_localizacao_diferenciada']==3)?"Área Quilombola":"Não se aplica")?></td>
					  <td><?php echo ($dados['co_polo']==15081893)?"Polo Galho":(($dados['co_polo']==15081478)?"Polo Trevo":((($dados['co_polo']==15081532)?"Polo Cravo":((((($dados['co_polo']==15081893) ? "Polo Cravo":(((((($dados['co_polo']==15081893)?"Polo Cravo":((((((($dados['co_polo']==15576558)?"Cristo":"Cidade"))))))))))))))))))?></td>
                    </tr>
                   <?php }  ?>
		</tbody>
                </table>
		</div>
            </div>
            <div class="card-footer small text-muted">Concórdia do Pará em: <?php echo $hoje; ?></div>
          </div>





</div><!-- /.container-fluid -->

        <!-- Sticky Footer -->
        <footer class="sticky-footer">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Departamento de Programas e Projetos © Elo Admin - 2019</span>
            </div>
          </div>
        </footer>

      </div>
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Pronto para sair?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Selecione "Logout" abaixo se você estiver pronto para terminar sua sessão atual.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
            <a class="btn btn-primary" href="sair.php">Logout</a>
          </div>
        </div>
      </div>
    </div>
	<script type="text/javascript">
	var etapa_list=["Creche", "Pre Escola", "Séries Iniciais", "Séries Finais", "Eja","AEE"];
	</script>

    <!-- Bootstrap core JavaScript-->
   
  

    <!-- Core plugin JavaScript-->
  

    <!-- Page level plugin JavaScript-->
    <script src="vendor/chart.js/Chart.min.js"></script>
    <script src="vendor/datatables/jquery.dataTables.js"></script>
    <script src="vendor/datatables/dataTables.bootstrap4.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="vendor/jquery/sb-admin.min.js"></script>

    <!-- Demo scripts for this page-->
    <script src="vendor/jquery/datatables-demo.js"></script>
    <script src="vendor/jquery/chart-bar-demo.js"></script>
    <script src="vendor/jquery/chart-pie-demo.js"></script>
	
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.bootstrap4.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.print.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.colVis.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
    
	<script>
	$(document).ready(function() {
	    var table = $('#example').DataTable( {
			"language": {
            "lengthMenu": "Mostra _MENU_ registros por página",
            "zeroRecords": "Não há nenhum registro",
            "info": "Mostrando página _PAGE_ a _PAGES_",
            "infoEmpty": "No records available",
            "infoFiltered": "(filtrando de _MAX_ total de registros)",
			 "sSearch": "Pesquisar",
			"oPaginate": {
				"sNext": "Próximo",
				"sPrevious": "Anterior",
				"sFirst": "Primeiro",
				"sLast": "Último"
			}
        },
	        lengthChange: true,
			
			buttons: [ 'copy', 'excel', 'csv', 'pdf', 'colvis' ]
		} );
		
	    table.buttons().container()
	        .appendTo( '#example_wrapper .col-md-6:eq(0)' );
	} );

	
	
     </script>
<script>
	$(document).ready(function() {
	    var table = $('#example2').DataTable( {
          
			"language": {
            "lengthMenu": "Mostra _MENU_ registros por página",
            "zeroRecords": "Não há nenhum registro",
            "info": "Mostrando página _PAGE_ a _PAGES_",
            "infoEmpty": "No records available",
            "infoFiltered": "(filtrando de _MAX_ total de registros)",
			 "sSearch": "Pesquisar",
			"oPaginate": {
				"sNext": "Próximo",
				"sPrevious": "Anterior",
				"sFirst": "Primeiro",
				"sLast": "Último"
			}
        },
	        lengthChange: true,
			
			buttons: [ 'copy', 'excel', 'csv', 'pdf', 'colvis' ]
		} );
		
	    table.buttons().container()
	        .appendTo( '#tableLotacao_wrapper .col-md-6:eq(0)' );
	} );

	
	
     </script>
	
  </body>
</html>
