<?php
class Funcionarios{
	
	public function getFuncionarios($id) {
		$array = array();
		global $conn;

		$sql = $conn->prepare("SELECT * FROM tbl_funcionario2 WHERE cod_fun_elo = :id_codElo");
		
		$sql->bindValue("id_codElo", $id);
		$sql->execute();

		if($sql->rowCount() > 0) {
			$array = $sql->fetch();
		}

		return $array;
	}
	

	
	public function editFuncionario($id,$No_func,$dtaInvertidaNasc,$sexo,$corRaca,$temFiliacao,$Maefunc,$Paifunc,$ufnascimento,$nu_municipio_nasc,$email,$Estado_Civil,$temDep,$qtdDep,$tem_deficiencia,$cegueira,$baixa_visao,$surdez,$def_auditiva,$surdo_cegueira,$def_fisica,$def_intelectual,$def_multipla,$nu_nis,$cpf,$nu_reg,$no_org_emissor,$uf_org_emissor,$dtaInvertidaRg,$nu_pasep,$zona_red,$cep,$endereco,$nun_endereco,$complemento,$bairro,$uf_endereco,$num_municipio_endereco,$Escolaridade,$SitCurso1,$ano_Inicio1,$ano_Conclusao1,$atualizacao) {
		global $conn;

$atualizaFunc = $conn->prepare("UPDATE tbl_funcionario2 SET 
tp_30_nome_func=:No_func,
tp_30_dta_nasc=:Dta_Nasc_Func,
tp_30_sexo=:sexo,
tp_30_cor_raca=:corRaca,
tp_30_tem_filiacao=:filiacao,
tp_30_filiacao_mae=:mae_func,
tp_30_filiacao_pai=:pai_func,
tp_30_co_uf_nasc=:ufNascFunc,
tp_30_co_municipio_nasc=:muniNascFunc,
tp_30_email=:emailFunc,
estado_civil=:Estado_Civil,
tem_dep=:temDep,
qtd_dep=:qtdDep,
tp_30_tem_necessidade_especial=:temNess,
tp_30_cegueira=:cegueira ,
tp_30_baixa_visao=:baixaVisao, 
tp_30_surdez=:surdez,
tp_30_def_auditiva=:defAuditiva, 
tp_30_surdocegueira=:surdoCegueira,
tp_30_def_fisica=:defFisica, 
tp_30_def_intelectual=:defIntelectual, 
tp_30_def_multipla=:defMultipla, 

tp_30_nis_funcionario=:nis_func, 
tp_40_nu_cpf=:nuCpf, 
nu_rg=:nu_rg, 
org_emissor=:orgEmissor, 
uf_rg=:ufRg, 
dt_emissao_rg=:dtaEmissao,
nu_pasep=:nuPasep, 

tp_40_zona_residencial=:zonaFunc, 
tp_40_cep=:cepFunc,
tp_40_endereco=:enderecoFunc, 
tp_40_nu_endereco=:nuEndFunc,
tp_40_complemento=:compFunc, 
tp_40_bairro=:bairroFunc, 
tp_40_uf_endereco=:ufEndFunc, 
tp_40_municipio_endereco=:muniEndFunc, 

tp_50_escolaridade=:Escolaridade,
tp_50_situacao_curso_1=:SitCurso,
tp_50_nu_ano_inicio_1=:ano_Inicio,
tp_50_nu_ano_conclusao_1=:ano_Conclusao,
dta_hora_atualiza=:atualiza 
WHERE cod_fun_elo=:id");
	
$atualizaFunc->bindValue(":id",$id);
$atualizaFunc->bindValue(":No_func",$No_func);
$atualizaFunc->bindValue(":Dta_Nasc_Func",$dtaInvertidaNasc);
$atualizaFunc->bindValue(":sexo",$sexo);
$atualizaFunc->bindValue(":corRaca",$corRaca);
$atualizaFunc->bindValue(":filiacao",$temFiliacao);
$atualizaFunc->bindValue(":mae_func",$Maefunc);
$atualizaFunc->bindValue(":pai_func",$Paifunc);
$atualizaFunc->bindValue(":ufNascFunc",$ufnascimento);
$atualizaFunc->bindValue(":muniNascFunc",$nu_municipio_nasc);
$atualizaFunc->bindValue(":emailFunc",$email);
$atualizaFunc->bindValue(":Estado_Civil",$Estado_Civil);
$atualizaFunc->bindValue(":temDep",$temDep);
$atualizaFunc->bindValue(":qtdDep",$qtdDep);
$atualizaFunc->bindValue(":temNess",$tem_deficiencia);
$atualizaFunc->bindValue(":cegueira",$cegueira); 
$atualizaFunc->bindValue(":baixaVisao",$baixa_visao); 
$atualizaFunc->bindValue(":surdez",$surdez);
$atualizaFunc->bindValue(":defAuditiva",$def_auditiva); 
$atualizaFunc->bindValue(":surdoCegueira",$surdo_cegueira); 
$atualizaFunc->bindValue(":defFisica",$def_fisica); 
$atualizaFunc->bindValue(":defIntelectual",$def_intelectual); 
$atualizaFunc->bindValue(":defMultipla",$def_multipla);  

$atualizaFunc->bindValue(":nis_func",$nu_nis); 
$atualizaFunc->bindValue(":nuCpf",$cpf); 
$atualizaFunc->bindValue(":nu_rg",$nu_reg); 
$atualizaFunc->bindValue(":orgEmissor",$no_org_emissor); 
$atualizaFunc->bindValue(":ufRg",$uf_org_emissor); 
$atualizaFunc->bindValue(":dtaEmissao",$dtaInvertidaRg);
$atualizaFunc->bindValue(":nuPasep",$nu_pasep); 

$atualizaFunc->bindValue(":zonaFunc",$zona_red); 
$atualizaFunc->bindValue(":cepFunc",$cep);
$atualizaFunc->bindValue(":enderecoFunc",$endereco); 
$atualizaFunc->bindValue(":nuEndFunc",$nun_endereco);
$atualizaFunc->bindValue(":compFunc",$complemento); 
$atualizaFunc->bindValue(":bairroFunc",$bairro); 
$atualizaFunc->bindValue(":ufEndFunc",$uf_endereco); 
$atualizaFunc->bindValue(":muniEndFunc",$num_municipio_endereco); 


$atualizaFunc->bindValue(":Escolaridade",$Escolaridade);
$atualizaFunc->bindValue(":SitCurso",$SitCurso1);
$atualizaFunc->bindValue(":ano_Inicio",$ano_Inicio1);
$atualizaFunc->bindValue(":ano_Conclusao",$ano_Conclusao1);
$atualizaFunc->bindValue(":atualiza",$atualizacao);
		
$atualizaFunc->execute();

	 if ($atualizaFunc->rowCount()>0){
 
	$_SESSION['controla_aba'] = 1; 
	}
 
	print_r($atualizaFunc->errorInfo());
				}
			}
		

	
	
	
	
	
	

?>