<?php
session_start();
require_once("config.php");
date_default_timezone_set('America/Recife');
@$hoje=date('d/m/Y H:i:s');	
$pega_user = $_SESSION["nome"];
$pega_escola=$_SESSION["numEscola"];		
//Obtendo registros 
@$codEscola=$pega_escola;
//Select necessário para pegar o codigo da escola e o nome da mesma
$pegaEscola="SELECT tp_00_cod_inep,tp_00_nom_esc FROM tbl_escola WHERE tp_00_cod_inep='$codEscola'";
$resultado=mysqli_query($conn,$pegaEscola);
while($pega=mysqli_fetch_assoc($resultado)){
$nuEscola=$pega["tp_00_cod_inep"];
$nomeEscola=$pega["tp_00_nom_esc"];
}
//Select para pegar os funcionários lotado na escola no ano de 2019
$selecao="SELECT 
tbl_escola.tp_00_cod_inep,
tbl_escola.tp_00_nom_esc,
tbl_lotacao2019.lot_codigo_func,
tbl_funcionario2.cod_fun_elo,
tbl_funcionario2.tp_30_nome_func,
tbl_funcionario2.cargo_funcional_1,
tbl_cargofuncao.cod_cargofuncao,
tbl_funcionario2.vinculo_funcional,
tbl_lotacao2019.lot_cod_elo,
tbl_lotacao2019.lot_turno,
tbl_lotacao2019.lot_funcao_func, 
tbl_lotacao2019.lot_carga_horaria,
tbl_lotacao2019.lot_disciplina,
tbl_lotacao2019.lot_categoria_adm,
tbl_lotacao2019.lot_observacao_fun,
tbl_cargofuncao.descricao
FROM tbl_lotacao2019
INNER JOIN tbl_funcionario2
ON tbl_lotacao2019.lot_cod_elo=tbl_funcionario2.cod_fun_elo
INNER JOIN tbl_escola
ON tbl_escola.tp_00_cod_inep=tbl_lotacao2019.lot_cod_escola
INNER JOIN tbl_cargofuncao
ON tbl_cargofuncao.cod_cargofuncao=tbl_lotacao2019.lot_funcao_func 
WHERE tbl_lotacao2019.lot_cod_escola='$codEscola'
ORDER BY tbl_lotacao2019.lot_cod_elo";
$resultado=mysqli_query($conn,$selecao) or die (mysqli_error($resultado));
$qnt_linhas = mysqli_num_rows($resultado);


?>
<!DOCTYPE>
<html lang="pt-br">
<head>
<meta charset="UTF-8">

    <!-- Bootstrap core CSS-->
    <link href="vendor/bootstrap/css/bootstrap413.min.css" rel="stylesheet">
    <script src="assets/js/jquery-3.2.1.min.js"></script>
    <script src="assets/js/bootstrap4.min.js"></script>
    <!-- Custom fonts for this template-->
    <link href="https://use.fontawesome.com/releases/v5.8.0/css/all.css" rel="stylesheet" type="text/css">
    
	<!-- Custom button for this template-->
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.2/css/buttons.bootstrap4.min.css">

	
    <!-- Page level plugin CSS-->
    <link href="vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="vendor/css/sb-admin.css" rel="stylesheet">
	
</head>
<body id="page-top">

   <?php require('header.html');?>

     <div id="content-wrapper">

        <div class="container-fluid">

          
		<h5><strong>Quadro Funcional 2019</strong></h5>  

	<hr>

			<?php 
			 if(isset($_SESSION['msg'])){
			    echo $_SESSION['msg'];
			    unset($_SESSION['msg']);
			}
			?>

              <div class="card mb-3">
               <div class="card-header"> 	 
              <i class="fas fa-check-square"></i> 
              <strong>Escola Selecionada: <?php echo $nuEscola?> - <?php echo $nomeEscola?> |  Total de Lotados: <?php echo     $qnt_linhas; ?></div></strong>
               <div class="card-body">
                <div class="table-responsive" id="DetalheEscola">
<table class="table table-bordered" id="example" width="100%" cellspacing="0" style="font-size:14px;">
			 <thead>
                    <tr>
                        <th class="text-center">Codigo</th>
						<th class="text-center">Funcionário</th>
						<th class="text-center">Cargo</th>
						<th class="text-center">Função</th>
						<th class="text-center">Turno</th>
						<th class="text-center">CH</th>
						<th class="text-center">Disciplina</th>
						<th class="text-center">Categoria</th>
						<th class="text-center">Ações</th>
                      </tr>
                  </thead>
                  <tbody>
                  <?php
while($linhas=mysqli_fetch_array($resultado)){
$codCargo=$linhas["cargo_funcional_1"];
				  	?>
                      <tr>
                      <td><?php echo $linhas["lot_codigo_func"]?></td>
					  <td><?php echo $linhas["tp_30_nome_func"]?></td>
					  <td><?php echo $linhas["cargo_funcional_1"]?></td>
					  <td><?php echo $linhas["descricao"]?></td>
					  <td><?php echo ($linhas["lot_turno"]==1)?"MANHÃ":(($linhas["lot_turno"]==2)?"TARDE":((($linhas["lot_turno"]==3)?"NOITE":((((($linhas["lot_turno"]==4)?"DIURNO":"INTERMEDIÁRIO")))))));?></td>
					 <td><?php echo $linhas["lot_carga_horaria"]?></td>
					 <td><?php echo $linhas["lot_disciplina"]?></td>
					 <td><?php echo ($linhas["lot_categoria_adm"]==1)?"APOIO":(($linhas["lot_categoria_adm"]==2)?"DIARISTA":((($linhas["lot_categoria_adm"]==3)?"HORISTA":"TÉCNICO")));?></td>

					 <td><a href=edt_lotacao.php?id=<?php echo $linhas["lot_codigo_func"];?>>Editar</a>-<a href=excluir.php?id=<?php echo $linhas["lot_codigo_func"];?>>Excluir</a></td>
</tr>
</tbody>

<?php  } ?>

              </table>
 </div><!--table-responsive-->
              </div> <!--card-body-->
              <div class="card-footer small text-muted">Concórdia do Pará em: <?php echo $hoje; ?></div>
              </div><!--mb-3-->
</div>

			
	
	</div><!-- /.container-fluid -->
</div>
 </div>
        <!-- Sticky Footer -->
        <footer class="sticky-footer">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Departamento de Programas e Projetos © Elo Admin - 2019</span>
            </div>
          </div>
        </footer>


      </div>
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Pronto para sair?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Selecione "Logout" abaixo se você estiver pronto para terminar sua sessão atual.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
            <a class="btn btn-primary" href="sair.php">Logout</a>
          </div>
        </div>
      </div>
    </div>
	
    <!-- Bootstrap core JavaScript-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Page level plugin JavaScript-->
    <script src="vendor/chart.js/Chart.min.js"></script>
    <script src="vendor/datatables/jquery.dataTables.js"></script>
    <script src="vendor/datatables/dataTables.bootstrap4.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="js/sb-admin.min.js"></script>

    <!-- Demo scripts for this page-->
    <script src="js/demo/datatables-demo.js"></script>
    <script src="js/demo/chart-bar-demo.js"></script>
    <script src="js/demo/chart-pie-demo.js"></script>
	
	<script src="https://cdn.datatables.net/buttons/1.5.2/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.bootstrap4.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.print.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.colVis.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
    
	<script>
	$(document).ready(function() {
	    var table = $('#example').DataTable( {
			"language": {
            "lengthMenu": "Mostra _MENU_ registros por página",
            "zeroRecords": "Não há nenhum registro",
            "info": "Mostrando página _PAGE_ a _PAGES_",
            "infoEmpty": "No records available",
            "infoFiltered": "(filtrando de _MAX_ total de registros)",
			 "sSearch": "Pesquisar",
			"oPaginate": {
				"sNext": "Próximo",
				"sPrevious": "Anterior",
				"sFirst": "Primeiro",
				"sLast": "Último"
			}
        },
	        lengthChange: true,
			
			buttons: [ 'copy', 'excel', 'csv', 'pdf', 'colvis' ]
		} );
		
	    table.buttons().container()
	        .appendTo( '#example_wrapper .col-md-6:eq(0)' );
	} );

	
	
     </script>
</div>
  </body>
</html>
